Bug 243167 - Matrox video garbled in F7 (g200e)
Matrox video garbled in F7 (g200e)
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-mga (Show other bugs)
7
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-07 12:59 EDT by Brett Havekost
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-04 11:35:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The xorg.conf file from a system with Fedora Installed (574 bytes, text/plain)
2007-06-11 16:19 EDT, Brett Havekost
no flags Details
The Xorg.0.log file from a system with Fedora Installed (14.79 KB, text/plain)
2007-06-11 16:21 EDT, Brett Havekost
no flags Details
The lspci -vv output file from the system with Fedora Installed (21.66 KB, text/plain)
2007-06-11 16:22 EDT, Brett Havekost
no flags Details
The Xorg.0.log file after the xorg.conf file has been deleted (15.00 KB, text/plain)
2007-06-11 16:29 EDT, Brett Havekost
no flags Details

  None (edit)
Description Brett Havekost 2007-06-07 12:59:24 EDT
Description of problem:
When doing graphical installs on three different servers with Matrox g200e
embedded video controllers, the bottom 1/5th of the screen is garbled, scrambled
and unviewable. 


Version-Release number of selected component (if applicable):
F7 base media install from Fedora-7-KDE-Live-i686.iso (both running from Live CD
and after attempting to install to the HDD).


How reproducible:
100% reproducible


Steps to Reproduce:
1. Boot the Live CD - doesn't matter which of the 3 choices are choosen from
initial screen.
2. The bottom of the screen will be garbled.
3. Click on the install icon on the desktop to install to the HDD.
4. The bottom 1/3 of the installation boxes are unviewable.
  
Actual results:
Only 4/5th's of the screen are viewable.

Expected results:
The entire screen should be viewable so long as display constraints are met.

Additional info:
I have installed a DVI video card in a PCI slot and I'm able to do a DVI-to-DVI
installation from the KDE Live CD.  However, after a reboot, the system reboots
into run level 3.  StartX fails immediately.  On the third attempt of "StartX",
the system reports that my x11.conf file may be corrupt and it will repair with
a new x11.conf file.  Card 0 fails and Card 1 is then configured correctly.  The
DVI connection will work at this point until a reboot occurs and the same
problem reappears.

I can take screen captures if necessary.
Comment 1 Matěj Cepl 2007-06-08 18:37:21 EDT
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Brett Havekost 2007-06-11 16:19:52 EDT
Created attachment 156755 [details]
The xorg.conf file from a system with Fedora Installed
Comment 3 Brett Havekost 2007-06-11 16:21:15 EDT
Created attachment 156756 [details]
The Xorg.0.log file from a system with Fedora Installed
Comment 4 Brett Havekost 2007-06-11 16:22:13 EDT
Created attachment 156757 [details]
The lspci -vv output file from the system with Fedora Installed
Comment 5 Brett Havekost 2007-06-11 16:29:51 EDT
Created attachment 156758 [details]
The Xorg.0.log file after the xorg.conf file has been deleted
Comment 6 Brett Havekost 2007-06-11 16:31:25 EDT
The system's embedded video cannot be disabled in ROM (RBSU) on this server so
there are 2 video's seen in the lspci file I attached.

Deleting the xorg.conf file and allowing a fresh config to generate solves the
problem for me.   Thanks, Brett.
Comment 7 Matěj Cepl 2007-06-13 18:31:07 EDT
I am not sure that I understand your comment 6 in view of the attachment 156758 [details]
-- the log looks like the initialization of X failed, but comment 6 seems to
indicate that you are all set just with removing config file. Could you
elaborate a little bit, please?
Comment 8 Matěj Cepl 2007-08-01 13:04:35 EDT
Reporter, could you please reply to the previous question? If you won't reply in
one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.
Comment 9 Matěj Cepl 2007-09-04 11:35:05 EDT
Anyway, no response from reporter, so I will go with what's more convenient for
me. Closing per comment 6 as NOTABUG.

Note You need to log in before you can comment on or make changes to this bug.